summaryrefslogtreecommitdiffstats
path: root/system/redis
diff options
context:
space:
mode:
Diffstat (limited to 'system/redis')
-rw-r--r--system/redis/README13
-rw-r--r--system/redis/doinst.sh3
-rw-r--r--system/redis/redis.SlackBuild22
-rw-r--r--system/redis/redis.info14
4 files changed, 27 insertions, 25 deletions
diff --git a/system/redis/README b/system/redis/README
index 65d36c0f15..d5aae82491 100644
--- a/system/redis/README
+++ b/system/redis/README
@@ -1,6 +1,7 @@
-Redis is an advanced key-value store. It is similar to memcached but the
-dataset is not volatile, and values can be strings, exactly like in memcached,
-but also lists, sets, and ordered sets. These data types can be manipulated
-with atomic operations to push/pop elements, add/remove elements, perform
-server side union, intersection, difference between sets, and so forth.
-Redis supports different kinds of sorting abilities.
+Redis is an advanced key-value store. It is similar to memcached but
+the dataset is not volatile, and values can be strings, exactly like in
+memcached, but also lists, sets, and ordered sets. These data types can
+be manipulated with atomic operations to push/pop elements, add/remove
+elements, perform server side union, intersection, difference between
+sets, and so forth. Redis supports different kinds of sorting
+abilities.
diff --git a/system/redis/doinst.sh b/system/redis/doinst.sh
index 581ef15d40..de6501f387 100644
--- a/system/redis/doinst.sh
+++ b/system/redis/doinst.sh
@@ -4,7 +4,8 @@ config() {
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
- elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
rm $NEW
fi
# Otherwise, we leave the .new copy for the admin to consider...
diff --git a/system/redis/redis.SlackBuild b/system/redis/redis.SlackBuild
index 1d180289fb..1464a0633f 100644
--- a/system/redis/redis.SlackBuild
+++ b/system/redis/redis.SlackBuild
@@ -1,19 +1,18 @@
#!/bin/sh
-# Slackware build script for Redis
-# Written by kuroi_kenshi <kuroi_kenshi96@yahoo.com>
+# Slackware build script for redis
+# Originally written by kuroi_kenshi <kuroi_kenshi96@yahoo.com>
+# Maintained as of version 2.4.7 by Audrius Kažukauskas <audrius@neutrino.lt>
PRGNAM=redis
-VERSION=${VERSION:-1.02}
+VERSION=${VERSION:-2.4.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -37,7 +36,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -48,22 +47,23 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# No ./configure necessary
+# No ./configure necessary.
CFLAGS="$SLKCFLAGS" make
-# move binaries to /usr/bin/
+# Install binaries.
mkdir -p $PKG/usr/bin
-install -m 0755 redis-server redis-cli redis-benchmark $PKG/usr/bin
+install -m 0755 src/redis-{server,cli,benchmark,check-aof,check-dump} \
+ $PKG/usr/bin
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Use sample config, without overwriting
+# Use sample config, without overwriting.
install -D -m 644 redis.conf $PKG/etc/redis.conf.new
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- 00-RELEASENOTES BETATESTING.txt BUGS Changelog COPYING README TODO \
+ 00-RELEASENOTES BUGS CONTRIBUTING COPYING README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/system/redis/redis.info b/system/redis/redis.info
index d598f18caf..d17faa8502 100644
--- a/system/redis/redis.info
+++ b/system/redis/redis.info
@@ -1,10 +1,10 @@
PRGNAM="redis"
-VERSION="1.02"
-HOMEPAGE="http://code.google.com/p/redis/"
-DOWNLOAD="http://redis.googlecode.com/files/redis-1.02.tar.gz"
-MD5SUM="5396e2d8b67f451ab4702ce7655533ae"
+VERSION="2.4.7"
+HOMEPAGE="http://redis.io/"
+DOWNLOAD="http://redis.googlecode.com/files/redis-2.4.7.tar.gz"
+MD5SUM="6afffb6120724183e40f1cac324ac71c"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="Kuroi Kenshi"
-EMAIL="kuroi_kenshi96@yahoo.com"
-APPROVED="rworkman"
+MAINTAINER="Audrius Kažukauskas"
+EMAIL="audrius@neutrino.lt"
+APPROVED="dsomero"